- add rebuild script
authorMichael Wallner <mike@php.net>
Thu, 8 Sep 2005 12:10:39 +0000 (12:10 +0000)
committerMichael Wallner <mike@php.net>
Thu, 8 Sep 2005 12:10:39 +0000 (12:10 +0000)
config.m4
php_http_std_defs.h
rebuild [new file with mode: 0755]

index e28a1dfe96e7fc1b46e20c8e9830fe2588c76969..5201be6bb5a47e5a57dd6411c86225ba6372d799 100644 (file)
--- a/config.m4
+++ b/config.m4
@@ -141,25 +141,15 @@ dnl ----
        PHP_ADD_BUILD_DIR($ext_builddir/phpstr, 1)
        PHP_SUBST([HTTP_SHARED_LIBADD])
 
        PHP_ADD_BUILD_DIR($ext_builddir/phpstr, 1)
        PHP_SUBST([HTTP_SHARED_LIBADD])
 
-       HTTP_HEADER_FILES= \
-               phpstr/phpstr.h \
-               php_http_std_defs.h \
-               php_http.h \
-               php_http_api.h \
-               php_http_cache_api.h \
-               php_http_date_api.h \
-               php_http_headers_api.h \
-               php_http_info_api.h \
-               php_http_message_api.h \
-               php_http_request_api.h \
-               php_http_request_method_api.h \
-               php_http_send_api.h \
-               php_http_url_api.h
+       HTTP_HEADER_FILES="php_http_std_defs.h php_http.h php_http_api.h php_http_cache_api.h \
+               php_http_date_api.h php_http_headers_api.h php_http_info_api.h php_http_message_api.h \
+               php_http_request_api.h php_http_request_method_api.h php_http_send_api.h php_http_url_api.h"
        PHP_SUBST([HTTP_HEADER_FILES])
 
        ifdef([PHP_INSTALL_HEADERS],
        [
        PHP_SUBST([HTTP_HEADER_FILES])
 
        ifdef([PHP_INSTALL_HEADERS],
        [
-               PHP_INSTALL_HEADERS(ext/http, [HTTP_HEADER_FILES])
+               PHP_INSTALL_HEADERS(ext/http, $HTTP_HEADER_FILES)
+               PHP_INSTALL_HEADERS(ext/http/phpstr, [phpstr/phpstr.h])
        ], [
                PHP_ADD_MAKEFILE_FRAGMENT
        ])
        ], [
                PHP_ADD_MAKEFILE_FRAGMENT
        ])
index 9ab75e9dbef017743f13eb0a451e187c219ad8af..f166fe5ade8d77c77c7b89649b09fec91f14a27a 100644 (file)
@@ -307,7 +307,7 @@ typedef int STATUS;
 #endif
 
 #ifdef ZEND_ENGINE_2
 #endif
 
 #ifdef ZEND_ENGINE_2
-#      define EMPTY_FUNCTION_ENTRY {NULL, NULL, NULL, 0}
+#      define EMPTY_FUNCTION_ENTRY {NULL, NULL, NULL, 0, 0}
 #else
 #      define EMPTY_FUNCTION_ENTRY {NULL, NULL, NULL}
 #endif
 #else
 #      define EMPTY_FUNCTION_ENTRY {NULL, NULL, NULL}
 #endif
diff --git a/rebuild b/rebuild
new file mode 100755 (executable)
index 0000000..0643c83
--- /dev/null
+++ b/rebuild
@@ -0,0 +1,32 @@
+#!/bin/bash
+rm -f warnings
+
+echo -n "executing phpize... "
+phpize 2>&1 >/dev/null
+if test $? -ne 0 ; then
+    echo "FAILED!"
+    exit 1
+fi
+echo "DONE"
+
+echo -n "configuring... "
+CFLAGS="-W -Wchar-subscripts -Wformat=2 -Wno-format-y2k -Wimplicit -Wmissing-braces -Wunused-variable  -Wbad-function-cast -Wpointer-arith -Wsign-compare -Winline" \
+    ./configure >/dev/null
+if test $? -ne 0 ; then
+    echo "FAILED!"
+    exit 1
+fi
+echo "DONE"
+
+echo -n "building... "
+make clean install 2>warnings >/dev/null
+if test $? -ne 0 ; then
+    echo "FAILED!"
+else
+    echo "DONE"
+fi
+
+if test -s warnings; then
+    cat warnings
+fi
+